org.eclipse.wst.jsdt.ui.dialogs

## Interface ITypeInfoRequestor

    public interface ITypeInfoRequestor

An interfaces to give access to the type presented in type selection dialogs like the open type dialog.

Please note that `ITypeInfoRequestor` objects don't have value semantic. The state of the object might change over time especially since objects are reused for different call backs.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getEnclosingName()` Returns a dot separated string of the enclosing types or an empty string if the type is a top level type.
`int` `getModifiers()` Returns the type's modifiers.
`java.lang.String` `getPackageName()` Returns the package name.
`java.lang.String` `getTypeName()` Returns the type name.

### Method Detail

#### getModifiers

    int getModifiers()

Returns the type's modifiers. The modifiers can be inspected using the class `Flags`.

Returns:
  the type's modifiers

#### getTypeName

    java.lang.String getTypeName()

Returns the type name.

Returns:
  the info's type name.

#### getPackageName

    java.lang.String getPackageName()

Returns the package name.

Returns:
  the info's package name.

#### getEnclosingName

    java.lang.String getEnclosingName()

Returns a dot separated string of the enclosing types or an empty string if the type is a top level type.

Returns:
  a dot separated string of the enclosing types